import { PrebuildEmitter, ExportFlexCommandShape, ProcessedCommandEmitter, EmitterContext } from 'side-code-export';
import { CommandShape } from '@seleniumhq/side-model';
export declare const emitters: Record<string, ProcessedCommandEmitter>;
declare function register(command: string, emitter: PrebuildEmitter): void;
declare function emit(command: CommandShape, context: EmitterContext): Promise<ExportFlexCommandShape>;
declare function variableLookup(varName: string): string;
declare function variableSetter(varName: string, value: string): string;
declare function emitWaitForWindow(): Promise<{
    name: string;
    commands: {
        level: number;
        statement: string;
    }[];
    generateMethodDeclaration: (name: string) => string;
}>;
declare function emitNewWindowHandling(command: CommandShape, emittedCommand: ExportFlexCommandShape): Promise<string>;
declare const _default: {
    emitters: Record<string, ProcessedCommandEmitter>;
    variableLookup: typeof variableLookup;
    variableSetter: typeof variableSetter;
    emit: typeof emit;
    register: typeof register;
    extras: {
        emitWaitForWindow: typeof emitWaitForWindow;
        emitNewWindowHandling: typeof emitNewWindowHandling;
    };
};
export default _default;
//# sourceMappingURL=command.d.ts.map